export default (configuration) => {
  const constantStrings = configuration.constants
    .map((singleConstant) => {
      return singleConstant;
    })
    .join("\n");
  return `
package ${configuration.packageName}.extensions

import android.graphics.Bitmap
import androidx.lifecycle.MutableLiveData

object Constants {
    const val PLATFORM = "ANDROID"
    const val CONTENT_TYPE = "application/json"
    const val APP_UPDATE_REQUEST_CODE = 1
    const val PERMISSION_REQUEST_ACTIVITY_RECOGNITION = 2

    
    val AUTH_TOKEN: MutableLiveData<String> = MutableLiveData()
    val FCM_TOKEN: MutableLiveData<String> = MutableLiveData()
    val REFRESH_AUTH_TOKEN: MutableLiveData<String> = MutableLiveData()
    var isAuthorized: MutableLiveData<Boolean> = MutableLiveData()
    var refreshNotifications: MutableLiveData<Boolean> = MutableLiveData()
    var hideNavBar: MutableLiveData<Boolean> = MutableLiveData()
    ${constantStrings}


}

object BaseLiveData {
  val isAuthorized: MutableLiveData<Boolean> = MutableLiveData()
}

  `;
};
